%global git_hash 5f80577
%global github_seq 124

Name:       nodejs-request
Version:    2.2.0
Release:    1%{?dist}
Summary:    Simplified HTTP request client
License:    ASL 2.0
URL:        https://github.com/mikeal/request
# downloaded from https://github.com/mikael/request/tarball/%%{git_hash}
Source0:    mikeal-request-v1.2.0-%{github_seq}-g%{git_hash}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel
Requires:       nodejs

%description
%{summary}.

%prep
%setup -q -n mikeal-request-%{git_hash}

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}/request
cp -p main.js mimetypes.js package.json %{buildroot}%{nodejs_libdir}/request

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/request
%doc README.md LICENSE
%doc tests/

%changelog
* Mon Nov 07 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.2.0-1
- new upstream release 2.2.0
- adds node v0.6 support

* Tue Oct 25 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.2.0-2.20110928.646c80dgit
- npm needs a newer git snapshot (apparently upstream moved to rolling release anyway)

* Tue Oct 25 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.2.0-1
- initial package
